Subject: bug#41821: 28.0.50; read-directory-name in vc commands should provide defaults from projects

From: Eli Zaretskii <[email-masked]>
Date: Wed, 24 Jun 2020 18:42:55 +0300

> Date: Wed, 24 Jun 2020 18:18:10 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> As I tried to explain, I'd like to avoid calling such functions from
> preloaded code.

Maybe I should have said explicitly something I thought was quite
obvious: a file FOO-hooks.el is usually a preloaded part of package
FOO.  It is therefore unusual, even IMO somewhat unclean, to have
FOO-hooks.el to call non-preloaded functions from package other than
FOO.

So is it possible to have vc-known-roots defined in vc.el instead of
in vc-hooks.el?

TIA